<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY flac-download-http "https://github.com/xiph/flac/releases/download/&flac-version;/flac-&flac-version;.tar.xz">
  <!ENTITY flac-download-ftp  " ">
  <!ENTITY flac-md5sum        "0bb45bcf74338b00efeec121fff27367">
  <!ENTITY flac-size          "1.1 MB">
  <!ENTITY flac-buildsize     "25 MB (additional 170 MB to run the test suite)">
  <!ENTITY flac-time          "0.2 SBU (additional 0.2 SBU to run the test suite)">
]>

<sect1 id="flac" xreflabel="FLAC-&flac-version;">
  <?dbhtml filename="flac.html"?>


  <title>FLAC-&flac-version;</title>

  <indexterm zone="flac">
    <primary sortas="a-FLAC">FLAC</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to FLAC</title>

    <para>
      <application>FLAC</application> is an audio CODEC similar to
      MP3, but lossless, meaning that audio is compressed without losing any
      information.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&flac-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&flac-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &flac-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &flac-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &flac-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &flac-time;
        </para>
      </listitem>
    </itemizedlist>

    <!--
    <bridgehead renderas="sect3">Additional Downloads</bridgehead>

    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Required patch:
          <ulink url="&patch-root;/flac-&flac-version;-security_fixes-1.patch"/>
        </para>
      </listitem>
    </itemizedlist>
    -->

    <bridgehead renderas="sect3">FLAC Dependencies</bridgehead>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="libogg"/>,
      <xref linkend="docbook-utils"/>,
      <xref linkend="doxygen"/>, and
      <xref linkend="valgrind"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of FLAC</title>

    <para>
      Install <application>FLAC</application> by running the
      following commands:
    </para>

<screen><userinput>./configure --prefix=/usr                                \
            --disable-thorough-tests                     \
            --docdir=/usr/share/doc/flac-&flac-version;          &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>. Note that
      if you passed the <option>--enable-exhaustive-tests</option> and
      <option>--enable-valgrind-testing</option> parameters to
      <command>configure</command> and then run the test suite, it will take a
      <emphasis>very</emphasis> long time (up to 300 SBUs) and use about 375 MB
      of disk space.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <para>
      <parameter>--disable-thorough-tests</parameter>: This parameter is
      used so that the test suite will complete in a reasonable amount of time.
      Remove it if you desire more extensive tests.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>flac and metaflac</seg>
        <seg>libFLAC.so and libFLAC++.so</seg>
        <seg>/usr/include/FLAC, /usr/include/FLAC++ and
        /usr/share/doc/flac-&flac-version;</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="flac-prog">
        <term><command>flac</command></term>
        <listitem>
          <para>
            is a command-line utility for encoding, decoding and
            converting FLAC files
          </para>
          <indexterm zone="flac flac-prog">
            <primary sortas="b-flac">flac</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="metaflac">
        <term><command>metaflac</command></term>
        <listitem>
          <para>
            is a program for listing, adding, removing, or editing
            metadata in one or more FLAC files
          </para>
          <indexterm zone="flac metaflac">
            <primary sortas="b-metaflac">metaflac</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libflac">
        <term><filename class="libraryfile">libFLAC{,++}.so</filename></term>
        <listitem>
          <para>
            these libraries provide native FLAC and Ogg FLAC C/C++ APIs
            for programs utilizing FLAC
          </para>
          <indexterm zone="flac libflac">
            <primary sortas="c-libFLAC">libFLAC{,++}.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

<!--
      <varlistentry id="libxmms-flac">
        <term><filename class="libraryfile">libxmms-flac.{so,a}</filename></term>
        <listitem>
          <para>
            is a plugin for <application>XMMS</application>.
          </para>
          <indexterm zone="flac libxmms-flac">
            <primary sortas="c-libxmms-flac">libxmms-flac.{so,a}</primary>
          </indexterm>
        </listitem>
      </varlistentry>
-->

    </variablelist>

  </sect2>

</sect1>
